package com.ruoyi.visitor.controller;

import com.ruoyi.asset.domain.TbAssetInformation;
import com.ruoyi.asset.service.ITbAssetInformationService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/visitor")
public class VController extends BaseController {
    @Autowired
    private ITbAssetInformationService tbAssetInformationService;

    @GetMapping("/list/{number}")
    public TableDataInfo list(@PathVariable("number") String number)
    {
        TbAssetInformation tbAssetInformation = new TbAssetInformation();
        tbAssetInformation.setLocationNumber(number);
        List<TbAssetInformation> list = tbAssetInformationService.selectTbAssetInformationList(tbAssetInformation);
        return getDataTable(list);
    }
}
